.exercise__container {
	width: 100%;
}
.exercise__modal {
	border: 1px solid black;
	background: #f3f4f6;
	border-radius: 5px;
	width: 100%;
	padding: 20px;
	display: flex;
	flex-wrap: wrap;
}
.none {
	display: none;
}

.responsed {
	animation: 0.5s ease-out 0s 1 slideIn;
}
.exercise__enunciated {
	width: 100%;
	font-size: 16px;
	font-weight: 500;
	margin: 0 auto;
}
.xp_gained {
	display: flex;
	flex-wrap: wrap;
	width: 100%;
	justify-content: flex-end;
	align-items: flex-end;
	text-align: right;
}
.response {
	display: flex;
	width: 100%;
	justify-content: center;
	align-items: center;
	margin: 0 auto;
}

.response input {
	margin: 0 10px;
}

.response__btn {
	margin: 20px;
	padding: 5px 15px;
	border-radius: 30px;
	background: #6366f1;
	color: #ffffff;
}
.hide_btn {
	margin: 0 auto;
	padding: 5px 15px;
	border-radius: 30px;
	background: #6366f1;
	color: #ffffff;
}
.w-100 {
	width: 100%;
	display: flex;
}
.response__btn:active:hover:not([disabled]) {
	background: #4649f5;
}
.option:checked::before {
	height: 40px;
	width: 40px;
	position: absolute;
	content: '';
	display: inline-block;
	font-size: 26.66667px;
	text-align: center;
	line-height: 40px;
}
.response__modal {
	background: #252525;
	color: #6366f1;
	display: none;
	width: 100%;
	border-radius: 5px;
	padding: 20px;
	margin-bottom: 30px;
}

.response__display {
	display: block;
}

.exercise__padding {
	padding: 20px;
}

.disable__button {
	background: #7073fa;
	cursor: not-allowed;
}

.question-right {
	display: block;
	position: fixed;
	top: 30%;
	right: 35%;
	max-width: 300px;
	max-height: 300px;
}

.question-right-animation__in {
	-webkit-animation: swirl-in-right-bck 0.65s ease-out both;
	animation: swirl-in-right-bck 0.65s ease-out both;
	width: 100%;
	height: 100%;
}

.question-right-animation__out {
	-webkit-animation: roll-out-left 0.6s ease-in both;
	animation: roll-out-left 0.6s ease-in both;
}
.option_div {
	margin: 10px;
	display: flex;
	position: relative;
	justify-content: center;
	text-align: center;
	align-items: center;
	cursor: pointer;
	width: 100%;
	max-width: 158px;
	max-height: 48px;
	border: 1px solid lightgray;
	border-radius: 8px;
	height: 100%;
}

.option {
	position: absolute;
	left: 0;
	top: 0;
	width: 100%;
	height: 100%;
	margin: 0;
	opacity: 0;
	cursor: pointer;
	appearance: none;
}

.blocked {
	cursor: not-allowed;
	opacity: 0.5;
}

.form-check-label {
	text-align: center;
	padding: 10px;
	width: 100%;
	border-radius: 8px;
	border: 1px solid lightgray;
}

.option:checked ~ label {
	color: #4649f5;
	border: 1px solid #4649f5;
}

@keyframes slideIn {
	0% {
		transform: translateX(-100%);
	}
	100% {
		transform: translateX(0);
	}
}

@-webkit-keyframes swirl-in-right-bck {
	0% {
		-webkit-transform: rotate(540deg) scale(5);
		transform: rotate(540deg) scale(5);
		-webkit-transform-origin: 100% 50%;
		transform-origin: 100% 50%;
		opacity: 0;
	}
	100% {
		-webkit-transform: rotate(0) scale(1);
		transform: rotate(0) scale(1);
		-webkit-transform-origin: 100% 50%;
		transform-origin: 100% 50%;
		opacity: 1;
	}
}
@keyframes swirl-in-right-bck {
	0% {
		-webkit-transform: rotate(540deg) scale(5);
		transform: rotate(540deg) scale(5);
		-webkit-transform-origin: 100% 50%;
		transform-origin: 100% 50%;
		opacity: 0;
	}
	100% {
		-webkit-transform: rotate(0) scale(1);
		transform: rotate(0) scale(1);
		-webkit-transform-origin: 100% 50%;
		transform-origin: 100% 50%;
		opacity: 1;
	}
}

@-webkit-keyframes roll-out-left {
	0% {
		-webkit-transform: translateX(0) rotate(0deg);
		transform: translateX(0) rotate(0deg);
		opacity: 1;
	}
	100% {
		-webkit-transform: translateX(-1000px) rotate(-540deg);
		transform: translateX(-1000px) rotate(-540deg);
		opacity: 0;
	}
}
@keyframes roll-out-left {
	0% {
		-webkit-transform: translateX(0) rotate(0deg);
		transform: translateX(0) rotate(0deg);
		opacity: 1;
	}
	100% {
		-webkit-transform: translateX(-1000px) rotate(-540deg);
		transform: translateX(-1000px) rotate(-540deg);
		opacity: 0;
	}
}

@media screen and (max-width: 739px) {
	.response__btn {
		margin: 20px 75px;
	}
}
